#include <iostream>
#include <fstream>
using namespace std;
int main()
{
    ifstream f("snton.inp");
    long N;
    f>>N;
    f.close();
	ofstream f1("snton.out");
	for(int k=2 ; k<N; k++)
    {
        int ok=0;
        for (int i=2;i*i<k; i++)

    {
        if (N%i){ok=1;break};
        if (ok==0){dem=dem+1;}
        f1.close();
        return 0;
    }
